# Class: ComponentData

## ComponentData

#### new ComponentData(context, id) → {ComponentData}

HOMEWORKS COMPONENT Store constructor, It is separated by each COMPOENTS.

##### Parameters:

Name | Type | Description
--- | --- | ---
`context` | ComponentMethod | HOMEWORKS ComponentMethod Context.
`id` | string | HOMEWORKS Component Unique ID

Author:
  - Kenneth
Source:
  - index.js, line 101
See:
  - Refer an example document here.

##### Returns:

Type
  ComponentData

### Members

#### store

ComponentData's store variable, This is the heart of ComponentData.

##### Properties:

Name | Type | Description
--- | --- | ---
`$self` | ComponentData | Reference of ComponentData (self).
`$super` | ComponentMethod | Reference of ComponentMethod.
`$helper` | ComponentHelper | Reference of ComponentHelper.
`_init` | Boolean | If component already done initialize process, It will be true (This is prevent a duplication of initializing).
`_anim` | Boolean | The logical variable of Component animating.
`_bind` | Boolean | The logical variable of Component binding.
`anim` | Object | Animation configuration object.
`framework` | String | Framework full name.
`prefix` | String | Framework short name for using set class name prefix of Component.
`id` | String | An unique id of Component, It will be automatically setted in the process of ComponentMethod.
`element` | Array.<jQuery> | Quick reference of jQuery objects that refered frequently.
`global` | Object | Global properties each of Components.

Source:
  - index.js, line 126